Bug 218486 - Need to update libvirt PV-FB support to work with latest upstream SEXPR format
Need to update libvirt PV-FB support to work with latest upstream SEXPR format
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt (Show other bugs)
5.0
All Linux
high Severity medium
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks: 218048 218050
  Show dependency treegraph
 
Reported: 2006-12-05 13:33 EST by Daniel Berrange
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RC
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-07 20:23:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to look for new SEXPR format and generate <graphics> tag as needed (2.57 KB, patch)
2006-12-05 14:14 EST, Daniel Berrange
no flags Details | Diff
Patch to make new PFVB config parsing work (1.08 KB, patch)
2006-12-08 14:47 EST, Daniel Berrange
no flags Details | Diff
Support generation of new style SEXR (7.81 KB, patch)
2006-12-11 15:48 EST, Daniel Berrange
no flags Details | Diff

  None (edit)
Comment 1 Daniel Berrange 2006-12-05 13:38:42 EST
Original way of configuring PVFB was to specify the config file options:

vnc=1
vncunused=1
vnclisten="127.0.0.1"
vncpasswd="123456"

This translated to an SEXPR of

    (image
        (linux
            (vnc 1)
            (vncunused 1)
            (vnclisten 127.0.0.1)
            (vncpasswd 123456)
        )
    )


The new way is to specify

vfb = [ "type=vnc,vncunused=1,vnclisten=127.0.0.1,vncpasswd=123456"]


Which translates to an SEXPR of

    (device (vkbd (backend 0)))
    (device
        (vfb
            (vncunused 1)
            (vnclisten 127.0.0.1)
            (vncpasswd 123456)
            (type vnc)
        )
    )


XenD in RHEL-5 will be able to read the original config file format & convert to
the new style config format on the fly. This does not, however, address the
issue of changed SEXPR format. We need to patch libvirt to understand the new
format, otherwise the XML dump for guest domains will be broken, which impacts
the whole xen userspace toolchain.

The patch should be pretty straightforward.
Comment 2 Daniel Berrange 2006-12-05 13:41:07 EST
Blocker justification: bug 218050 (already a GA blocker) will break libvirt &
related tools, without this ticket also being fixed.
Comment 3 Brian Stein 2006-12-05 13:56:01 EST
Status of having a patch?
Comment 5 Daniel Berrange 2006-12-05 14:14:50 EST
Created attachment 142879 [details]
Patch to look for new SEXPR format and generate <graphics> tag as needed
Comment 6 Jay Turner 2006-12-06 22:53:02 EST
QE ack for RHEL5.
Comment 8 Daniel Berrange 2006-12-08 14:47:48 EST
Created attachment 143189 [details]
Patch to make new PFVB config  parsing  work

The previous patch didn't apply cleanly against libvirt version in RHEL-5. This
patch is a backport to 0.1.8
Comment 9 Daniel Berrange 2006-12-11 15:48:38 EST
Created attachment 143324 [details]
Support generation of new style SEXR

The previous patch supporting  parsing the new style SEXPR.
This patch provides the 2nd 1/2  of the solution, generatring the new style
SEXPR.
Comment 11 Daniel Veillard 2006-12-13 09:17:17 EST
457216 build (dist-5E, RHEL-5:libvirt-0_1_8-9_el5)

A build with the 2 patches is available,

Daniel
Comment 12 RHEL Product and Program Management 2007-02-07 20:23:13 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.